httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sander Temme <scte...@apache.org>
Subject Re: [users@httpd] 2.2.3 -> 2.2.4 upgrade problem | APR?
Date Tue, 16 Jan 2007 07:38:56 GMT

On Jan 10, 2007, at 9:21 AM, Evan Cooch wrote:

> Now, for the big question - what is this new argument doing, why do  
> I need it, and what really has changed between 2.23 and 2.24?

The change actually happened between 2.2.2 and 2.2.3, in Subversion  
revision 424693:

http://svn.apache.org/viewvc/httpd/httpd/branches/2.2.x/configure.in? 
r1=410054&r2=424693

Essentially, we became a little more sophisticated about which copy  
of APR and APR-Util we use for the build.  Previously, httpd had the  
sometimes unfortunate habit of picking up installed copies of these  
libraries and doing stuff in not quite the way you might want.  Now,  
you can force use of the bundled copies with the --with-included-apr  
parameter (one parameter forces both APR and APR-Util, since you  
can't mix versions).  If you want to specifically use an installed  
copy of the libraries, you can use

--with-apr=/path/to/apr/bin/apr-1-config --with-apr-util=/path/to/apr- 
util/bin/apu-1-config

on the configure line. Alternatively, you can throw it into the wind  
completely and have the build process perhaps maybe pick up an  
installed APR, APR-Util or use the bundled copy depending on stuff  
like what your PATH is when you build. It looks like your build  
arrived at some non-functional mixture, and forcing the bundled  
copies fixed that.

It looks like you had the bin directory of your old Apache install on  
your PATH, and configure proposed to use the old APR version for your  
new build because it found apr-1-config. Not what you wanted. (:

If you speak m4 and Autoconf better than I do (wouldn't be hard) and  
want to make this more smart so the build process gracefully rejects  
non-workable combinations, feel free but you'd probably best work on  
the httpd development trunk since patches are generally introduced  
there and then backported to 2.2.x.

S.

-- 
sctemme@apache.org            http://www.temme.net/sander/
PGP FP: 51B4 8727 466A 0BC3 69F4  B7B8 B2BE BC40 1529 24AF



Mime
View raw message